> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Clone Stack To Cluster Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json post /api/v1/org/clusters/imported/{cluster_id}/stacks/clone
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/org/clusters/imported/{cluster_id}/stacks/clone:
    post:
      tags:
        - Imported Clusters
      summary: Clone Stack To Cluster Endpoint
      operationId: >-
        clone_stack_to_cluster_endpoint_api_v1_org_clusters_imported__cluster_id__stacks_clone_post
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CloneStackToClusterRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CloneStackToClusterResult'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CloneStackToClusterRequest:
      properties:
        include_addon_configurations:
          default: true
          title: Include Addon Configurations
          type: boolean
        new_stack_name:
          anyOf:
            - type: string
            - type: 'null'
          title: New Stack Name
        source_cluster_id:
          format: uuid4
          title: Source Cluster Id
          type: string
        stack_name:
          title: Stack Name
          type: string
        target_organisation_id:
          anyOf:
            - format: uuid4
              type: string
            - type: 'null'
          title: Target Organisation Id
      required:
        - source_cluster_id
        - stack_name
      title: CloneStackToClusterRequest
      type: object
    CloneStackToClusterResult:
      properties:
        addons_cloned:
          title: Addons Cloned
          type: integer
        addons_needing_reconfiguration:
          default: []
          items:
            type: string
          title: Addons Needing Reconfiguration
          type: array
        cross_org_registry_credentials_missing:
          default: []
          items:
            type: string
          title: Cross Org Registry Credentials Missing
          type: array
        cross_org_secret_slots_dropped:
          default: []
          items:
            additionalProperties: true
            type: object
          title: Cross Org Secret Slots Dropped
          type: array
        draft_id:
          format: uuid4
          title: Draft Id
          type: string
        manifests_cloned:
          title: Manifests Cloned
          type: integer
        stack_name:
          title: Stack Name
          type: string
        warnings:
          default: []
          items:
            type: string
          title: Warnings
          type: array
      required:
        - draft_id
        - stack_name
        - addons_cloned
        - manifests_cloned
      title: CloneStackToClusterResult
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````